com.comtrade.ecm.engine.datatypes

## Enum DateTime.Unit

- java.lang.Object
- - java.lang.Enum<DateTime.Unit>
  - - com.comtrade.ecm.engine.datatypes.DateTime.Unit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DateTime.Unit>
  Enclosing class:
    DateTime

      public static enum DateTime.Unit
      extends java.lang.Enum<DateTime.Unit>

  Units to be used in `DateTime`-mathemathics.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAYS`
    `HOURS`
    `MICROS`
    `MILLIS`
    `MINUTES`
    `MONTHS`
    `NANOS`
    `SECONDS`
    `WEEKS`
    `YEARS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DateTime.Unit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DateTime.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NANOS

          public static final DateTime.Unit NANOS

    - #### MICROS

          public static final DateTime.Unit MICROS

    - #### MILLIS

          public static final DateTime.Unit MILLIS

    - #### SECONDS

          public static final DateTime.Unit SECONDS

    - #### MINUTES

          public static final DateTime.Unit MINUTES

    - #### HOURS

          public static final DateTime.Unit HOURS

    - #### DAYS

          public static final DateTime.Unit DAYS

    - #### WEEKS

          public static final DateTime.Unit WEEKS

    - #### MONTHS

          public static final DateTime.Unit MONTHS

    - #### YEARS

          public static final DateTime.Unit YEARS

  - ### Method Detail

    - #### values

          public static DateTime.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DateTime.Unit c : DateTime.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DateTime.Unit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null